[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.SetAlignedBounds

Try to set the automatic changed bounds

## Declaration

Source position: controls.pp line 1019

`protected procedure TControl.SetAlignedBounds(`
`aLeft: Integer;`
`aTop: Integer;`
`aWidth: Integer;`
`aHeight: Integer`
`); virtual;`

## Description

    { try to set the automatic changed bounds
      If the interface does not like our bounds, it sends a message with the real
      bounds, which invokes the automatic realigning of the control, .. a circle.
      To break the circle, only bounds that are different from the last try will
      be sent.
    }

The latest version of this document can be found at lazarus-ccr.sourceforge.net.